# hugo

Hugo è un generatore di siti statici open-source scritto in Go. È progettato per creare siti web veloci e sicuri con facilità. È ampiamente utilizzato per blog, siti web personali e progetti web di varie dimensioni. Hugo offre una vasta gamma di temi e funzionalità che consentono agli utenti di personalizzare facilmente l'aspetto e le funzionalità dei loro siti web.

### Installazione e inizializzazione

```bash
sudo apt install hugo
cd ~ && mkdir website && cd website

# Inizializzazione del progetto
hugo new site ilnostropianetaselvaggio

# Clonazione del tema scelto
git clone https://gitlab.com/gabmus/hugo-ficurinia.git themes/hugo-ficurinia
```

Questa la struttura del progetto:

```bash
Permissions Size User Group Date Modified Name
drwxrwxr-x     - dado dado  27 apr 16:08   archetypes
drwxrwxr-x     - dado dado  27 apr 17:12   assets
.rw-rw-r--  6,3k dado dado  27 apr 19:53   config.toml
drwxrwxr-x     - dado dado  27 apr 18:33   content
drwxrwxr-x     - dado dado  27 apr 21:55   data
drwxrwxr-x     - dado dado  27 apr 16:08   i18n
drwxrwxr-x     - dado dado  27 apr 16:08   layouts
drwxr-xr-x     - dado dado  27 apr 22:32   public
drwxrwxr-x     - dado dado  27 apr 17:12   resources
drwxrwxr-x     - dado dado  27 apr 22:07   static
drwxrwxr-x     - dado dado  27 apr 18:35   themes
```

### Eseguire il sito in locale

```bash
hugo server -D
```

Tutti i file che potrebbero essere contrassegnati come "draft" sono inclusi nel sito web generato in locale. "draft" si riferisce a un contenuto che è in fase di sviluppo o revisione e non è ancora pronto per essere pubblicato sul sito web in modo definitivo. I contenuti contrassegnati come "draft" non vengono inclusi nel sito web generato a meno che non venga specificato esplicitamente di includerli.

> Nota: Per la personalizzazione del sito web, seguire le istruzioni del proprio tema

### Building del sito web

Eseguire semplicemente il comando:

```bash
hugo
```

Ora e' possibile caricare la cartella `public/` sull'host remoto:

```bash
hugo && rsync -avz --delete public/ mywebsite/home/user1/website/
```

> Importante: necessario aver configurato ssh per connettersi al server remoto e caddy o un qualsiasi web-server, oltre ad avere un dominio valido

Il codice e le configurazioni del nostro sito web si possono trovare: [https://git.ilnostropianetaselvaggio.it/ilnostropianetaselvaggio](https://git.ilnostropianetaselvaggio.it/ilnostropianetaselvaggio)

## Collegamenti

- [How to Use the Hugo Static Site Generator on Linux](https://www.howtogeek.com/683199/how-to-use-the-hugo-static-site-generator-on-linux/)
- [Making my site | haddock 🐟](https://haddock.neocities.org/making-my-site/)
- [Hugo Ficurinia | Hugo Themes](https://themes.gohugo.io/themes/hugo-ficurinia/)
- [Quick start | Hugo](https://gohugo.io/getting-started/quick-start/)
